Subject: Re: Announcing gitsync-nncp

From: Jonathan Lane <[email-masked]>
Date: Wed, 18 Aug 2021 19:49:06 +0000

On Wed, Aug 18, 2021 at 11:16:14AM -0500, John Goerzen wrote:
> Hi folks,
> 
> There is a reason I have been asking a lot of questions about areas lately.
> It's that I am now using NNCP to keep git repos on three computers in sync
> with each other.
> 
> The program to do this is gitsync-nncp, which you can find at
> https://github.com/jgoerzen/gitsync-nncp
> 
> The manual for it, at
> https://github.com/jgoerzen/gitsync-nncp/blob/main/gitsync-nncp.org , goes
> into a lot of detail about the use case and how it works.
> 
> I am finding this EXTREMELY slick, better than Dropbox, Syncthing, or a pure
> git server for my use case.
Interesting.  I have a very similar workflow where I want to keep
working offline with source control across machines, but my solution was
to avoid Git entirely and use Fossil[1] for the project's VCS.  Fossil
has some nice attributes - I can use it in a CVS like mode within my LAN
where the repos all sit on my NAS, and as a DVCS with that LAN node as
one host and my frequently-offline laptop, and my SDF shell, as other
nodes.  The downside of course is that Fossil is not Git, and so if
you're working with Other People's Code or are used to doing frequent
cherrypicks/rebases and other "clean commit history" practices, Fossil
won't work.  My non-version-controlled files I typically just drop in my
Syncthing folder.  Glad to see there's an option for Git users now!

[1]: https://fossil-scm.org/
-- 
[email-masked]
SDF Public Access UNIX System - http://sdf.org